Difference between revisions of "Tycho/Release Notes/0.18"

From Eclipsepedia

Jump to: navigation, search
(Target Platform & Dependency Resolution)
(New and Noteworthy)
(11 intermediate revisions by 2 users not shown)
Line 3: Line 3:
 
   #versionNav{ position:absolute; top: 0px; right: 0px; margin-right: 1em; font-size: 84%; line-height: 1.2em; color: rgb(125, 125, 125); }
 
   #versionNav{ position:absolute; top: 0px; right: 0px; margin-right: 1em; font-size: 84%; line-height: 1.2em; color: rgb(125, 125, 125); }
 
</css>  
 
</css>  
<div id="versionNav">[[Tycho/Release Notes/0.17|&lt; Previous Version]] | Next Version &gt;</div>  
+
<div id="versionNav">[[Tycho/Release Notes/0.17|&lt; Previous Version]] | [[Tycho/Release Notes/0.19| Next Version]] &gt;</div>  
This page shows a preview of features which will be available in the 0.18.0 milestone.
+
  
[https://bugs.eclipse.org/bugs/buglist.cgi?classification=Technology&product=Tycho&query_format=advanced&resolution=FIXED&target_milestone=0.18.0&order=bug_id&query_based_on= List of bug fixes and enhancements in 0.18.0]
+
= Milestone 0.18.1 =
  
 
== New and Noteworthy  ==
 
== New and Noteworthy  ==
  
This is mostly a bug-fix release in time for the Eclipse Kepler release train.
+
[https://bugs.eclipse.org/bugs/buglist.cgi?classification=Technology&product=Tycho&query_format=advanced&resolution=FIXED&target_milestone=0.18.1&order=bug_id&query_based_on= List of bug fixes and enhancements in 0.18.1].<br/>
 +
 
 +
* This patch release adds support for recently released maven 3.1.0
 +
* Bundles shipped with Tycho have been updated from Kepler pre-RC3 to Kepler final
 +
 
 +
Tycho 0.18.1 is currently staged. To try it, change your tycho version to 0.18.1 and add snippet
 +
 
 +
<pre>
 +
<pluginRepositories>
 +
<pluginRepository>
 +
  <id>tycho-staged</id>
 +
  <url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1001/</url>
 +
</pluginRepository>
 +
</pluginRepositories>
 +
</pre>
 +
 
 +
to your pom.xml.
 +
 
 +
= Milestone 0.18.0 =
 +
 
 +
== New and Noteworthy  ==
 +
 
 +
[https://bugs.eclipse.org/bugs/buglist.cgi?classification=Technology&product=Tycho&query_format=advanced&resolution=FIXED&target_milestone=0.18.0&order=bug_id&query_based_on= List of bug fixes and enhancements in 0.18.0]. This is mostly a bug-fix release with changes needed by projects participating in the Eclipse Kepler release train.
  
 
==== Target Platform &amp; Dependency Resolution  ====
 
==== Target Platform &amp; Dependency Resolution  ====
  
* Include new Kepler RC2 version of p2. In particular, this includes fixes for p2 bugs [https://bugs.eclipse.org/bugs/show_bug.cgi?id=406902 406902], [https://bugs.eclipse.org/bugs/show_bug.cgi?id=408691 408691], [https://bugs.eclipse.org/bugs/show_bug.cgi?id=406960 406960], [https://bugs.eclipse.org/bugs/show_bug.cgi?id=406942 406942]
+
* (INCOMPATIBLE CHANGE) The build now fails if a p2 repository is referenced that has installable units from an old-style update site. These so-called "partial IUs" cannot be used for dependency resolution and used to be silently dropped from the target platform. This often lead to strange resolution problems ([https://bugs.eclipse.org/bugs/show_bug.cgi?id=380438 bug 380438], [http://stackoverflow.com/questions/12647177/tycho-cant-find-android-development-tools-bundles question on stackoverflow]). Now the build fails with a clear error message. (See the [[Tycho/Additional Tools#publish-features-and-bundles goal|Additional Tools]] page for an example of how to convert an old-style update site into a p2 repository.)
*(INCOMPATIBLE CHANGE) The build now fails if a p2 repository is referenced that has installable units from an old-style update site. These so-called "partial IUs" cannot be used for dependency resolution and used to be silently dropped from the target platform. This often lead to strange resolution problems ([https://bugs.eclipse.org/bugs/show_bug.cgi?id=380438 <strike>bug 380438</strike>], [http://stackoverflow.com/questions/12647177/tycho-cant-find-android-development-tools-bundles question on stackoverflow]). Now the build fails with a clear error message.
+
* Use a newer version of p2 (from between Kepler RC2 and Kepler RC3). In particular, this version includes the enhancements of [https://bugs.eclipse.org/bugs/show_bug.cgi?id=406960 bug 406960], [https://bugs.eclipse.org/bugs/show_bug.cgi?id=406942 bug 406942], [https://bugs.eclipse.org/bugs/show_bug.cgi?id=406902 bug 406902] and fixes for [https://bugs.eclipse.org/bugs/show_bug.cgi?id=409051 bug 409051], [https://bugs.eclipse.org/bugs/show_bug.cgi?id=408691 bug 408691].
  
 
==== Packaging  ====
 
==== Packaging  ====
  
*Added support for [http://www.rapicorp.com/2012/05/eclipse-based-applications-as-standard.html bundled Mac OS X applications] ([https://bugs.eclipse.org/bugs/show_bug.cgi?id=378021 bugs 378021], [https://bugs.eclipse.org/bugs/show_bug.cgi?id=407676 407676])<br>Please note that you have to apply a [http://git.eclipse.org/c/tycho/org.eclipse.tycho.git/commit/?id=830cc79b806eead4fd70db304474bd4333a6a159 workaround] if you want to use this new p2 feature  
+
* Added experimental support for [http://www.rapicorp.com/2012/05/eclipse-based-applications-as-standard.html bundled Mac OS X applications] ([https://bugs.eclipse.org/bugs/show_bug.cgi?id=378021 bugs 378021], [https://bugs.eclipse.org/bugs/show_bug.cgi?id=407676 407676]). Note that you have to apply a [http://git.eclipse.org/c/tycho/org.eclipse.tycho.git/commit/?id=830cc79b806eead4fd70db304474bd4333a6a159 workaround] if you want to use this new p2 feature.
*Several source bundle/feature generation fixes/enhancements  
+
* Several source bundle/feature generation fixes/enhancements:
**bin.includes from license features now taken over into generated source features ([https://bugs.eclipse.org/bugs/show_bug.cgi?id=403950 Bug 403950])  
+
** <tt>bin.includes</tt> from license features now taken over into generated source features ([https://bugs.eclipse.org/bugs/show_bug.cgi?id=403950 bug 403950])  
**Source feature branding bundle can now be configured ([https://bugs.eclipse.org/bugs/show_bug.cgi?id=407706 Bug 407706])  
+
** Source feature branding bundle can now be configured ([https://bugs.eclipse.org/bugs/show_bug.cgi?id=407706 Bug 407706])  
**Source feature.xml now has line-breaks, indentation and an XML declaration ([https://bugs.eclipse.org/bugs/show_bug.cgi?id=408168 Bug 408168])  
+
** Source <tt>feature.xml</tt> now has line-breaks, indentation and an XML declaration ([https://bugs.eclipse.org/bugs/show_bug.cgi?id=408168 bug 408168])  
**Allow to include non-root content in source bundle ([https://bugs.eclipse.org/bugs/show_bug.cgi?id=407172 Bug 407172])
+
** Allow to include non-root content in source bundle ([https://bugs.eclipse.org/bugs/show_bug.cgi?id=407172 bug 407172])
  
 
==== Other  ====
 
==== Other  ====
  
*Stricter and OSGi-specific MANIFEST syntax validation yielding better error messages ([https://bugs.eclipse.org/bugs/show_bug.cgi?id=383192 Bug 383192])
+
* Stricter and OSGi-specific MANIFEST syntax validation yielding better error messages ([https://bugs.eclipse.org/bugs/show_bug.cgi?id=383192 bug 383192])
  
 
[[Category:Tycho|Release Notes/0.18]]
 
[[Category:Tycho|Release Notes/0.18]]

Revision as of 09:05, 15 July 2013

Contents

Milestone 0.18.1

New and Noteworthy

List of bug fixes and enhancements in 0.18.1.

  • This patch release adds support for recently released maven 3.1.0
  • Bundles shipped with Tycho have been updated from Kepler pre-RC3 to Kepler final

Tycho 0.18.1 is currently staged. To try it, change your tycho version to 0.18.1 and add snippet

<pluginRepositories>
 <pluginRepository>
  <id>tycho-staged</id>
  <url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-1001/</url>
 </pluginRepository>
</pluginRepositories>

to your pom.xml.

Milestone 0.18.0

New and Noteworthy

List of bug fixes and enhancements in 0.18.0. This is mostly a bug-fix release with changes needed by projects participating in the Eclipse Kepler release train.

Target Platform & Dependency Resolution

  • (INCOMPATIBLE CHANGE) The build now fails if a p2 repository is referenced that has installable units from an old-style update site. These so-called "partial IUs" cannot be used for dependency resolution and used to be silently dropped from the target platform. This often lead to strange resolution problems (bug 380438, question on stackoverflow). Now the build fails with a clear error message. (See the Additional Tools page for an example of how to convert an old-style update site into a p2 repository.)
  • Use a newer version of p2 (from between Kepler RC2 and Kepler RC3). In particular, this version includes the enhancements of bug 406960, bug 406942, bug 406902 and fixes for bug 409051, bug 408691.

Packaging

  • Added experimental support for bundled Mac OS X applications (bugs 378021, 407676). Note that you have to apply a workaround if you want to use this new p2 feature.
  • Several source bundle/feature generation fixes/enhancements:
    • bin.includes from license features now taken over into generated source features (bug 403950)
    • Source feature branding bundle can now be configured (Bug 407706)
    • Source feature.xml now has line-breaks, indentation and an XML declaration (bug 408168)
    • Allow to include non-root content in source bundle (bug 407172)

Other

  • Stricter and OSGi-specific MANIFEST syntax validation yielding better error messages (bug 383192)